# $Revision: 1.30 $, $Date: 2007-02-12 22:09:25 $
Summary:	YIFF Sound Systems
Summary(pl.UTF-8):	System dźwięku YIFF
Name:		yiff
Version:	2.14.5
Release:	1
License:	GPL-like
Group:		Applications/Sound
Source0:	ftp://wolfpack.twu.net/users/wolfpack/%{name}-%{version}.tar.bz2
# Source0-md5:	c43724d006a419f99fdb797e3067c085
Source1:	%{name}config.desktop
Patch0:		%{name}-config_dir.patch
Patch1:		%{name}-cpp.patch
Patch2:		%{name}-nolibz.patch
URL:		http://wolfpack.twu.net/YIFF/
BuildRequires:	gtk+-devel
BuildRequires:	libstdc++-devel
Requires:	yiff-lib = %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_soundsdir	/usr/share/sounds

%description
The YIFF sound server is a Y compliant sound server providing Y
compliant client applications with sound support. Uses either OSS or
ALSA sound drivers and follows OSS compliancy.

%description -l pl.UTF-8
Serwer dźwięku YIFF jest zgodnym z Y serwerem dźwięku dającym obsługę
dźwięku dla aplikacji klienckich zgodnych z Y. Używa sterowników OSS
lub ALSA.

%package devel
Summary:	YIFF development package
Summary(pl.UTF-8):	Pakiet programistyczny YIFF
Group:		Development/Libraries
Requires:	%{name}-lib = %{version}-%{release}

%description devel
YIFF Sound Systems development files required to develop programs
using yiff.

%description devel -l pl.UTF-8
Pliki potrzebne do tworzenia programów używających systemu dźwięku
YIFF.

%package lib
Summary:	YIFF libraries
Summary(pl.UTF-8):	Biblioteki YIFF
Group:		Development/Libraries

%description lib
YIFF Sound Systems library required to run programs using yiff.

%description lib -l pl.UTF-8
Biblioteki potrzebne do uruchamiania programów korzystających z
systemu dźwięku YIFF.

%package config
Summary:	YIFF configuration utility
Summary(pl.UTF-8):	Narzędzie konfiguracyjne do YIFF
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description config
YIFF Sound Systems configuration utility.

%description config -l pl.UTF-8
Narzędzie konfiguracyjne do systemu dźwięku YIFF.

%prep
%setup -q
bzip2 -d yiff/yiff.8.bz2
%patch0 -p1
bzip2 yiff/yiff.8
%patch1 -p1
%patch2 -p1

%build
%{__make} -C libY2 \
	CC="%{__cc}" \
	CPP="%{__cxx}" \
	CFLAGS="%{rpmcflags} -fPIC"

%{__make} -C yiff \
	CC="%{__cc}" \
	CPP="%{__cxx}" \
	CFLAGS="%{rpmcflags}"

%{__make} -C yiffconfig \
	CC="%{__cc}" \
	CPP="%{__cxx}" \
	CFLAGS="`gtk-config --cflags` %{rpmcflags}"

%{__make} -C yiffutils \
	CC="%{__cc}" \
	CPP="%{__cxx}" \
	CFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_mandir}/man1,%{_bindir},%{_pixmapsdir}}
install -d $RPM_BUILD_ROOT{%{_datadir}/sounds,%{_desktopdir},%{_sysconfdir}}

%{__make} -C libY2 install \
	YLIB_DIR="$RPM_BUILD_ROOT%{_libdir}" \
	YINC_DIR="$RPM_BUILD_ROOT%{_includedir}/Y2" \
	YMAN_DIR="$RPM_BUILD_ROOT%{_mandir}/man3" \
	LDCONFIG="/bin/true"

%{__make} -C yiff install \
	ETC_DIR="$RPM_BUILD_ROOT%{_sysconfdir}" \
	SBIN_DIR="$RPM_BUILD_ROOT%{_sbindir}" \
	MAN_DIR="$RPM_BUILD_ROOT%{_mandir}/man8"
install yiff/yiffrc $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} -C yiffconfig install \
	BIN_DIR="$RPM_BUILD_ROOT%{_bindir}" \
	ICONS_DIR="$RPM_BUILD_ROOT%{_pixmapsdir}" \
	MAN_DIR="$RPM_BUILD_ROOT%{_mandir}/man1"

%{__make} -C yiffutils install \
	BIN_DIR="$RPM_BUILD_ROOT%{_bindir}" \
	MAN_DIR="$RPM_BUILD_ROOT%{_mandir}/man1"

%{__make} -C stuff install \
	PREFIX="$RPM_BUILD_ROOT" \
	ICONS_DIR="%{_pixmapsdir}" \
	SOUNDS_DIR="%{_soundsdir}"

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

bzip2 -d $RPM_BUILD_ROOT%{_mandir}/man?/*.bz2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/y[!i]*
%attr(755,root,root) %{_sbindir}/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/yiffrc
%{_mandir}/man1/y[!i]*
%{_mandir}/man8/*
%{_pixmapsdir}/yiff.xpm
%{_pixmapsdir}/Y.xpm
%{_soundsdir}/*

%files lib
%defattr(644,root,root,755)
%doc AUTHORS LICENSE README
%attr(755,root,root) %{_libdir}/libY2.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libY2.so
%{_includedir}/Y2
%{_mandir}/man3/*

%files config
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/yiffconfig
%{_mandir}/man1/yiffconfig.1*
%{_pixmapsdir}/yiffconfig*
%{_desktopdir}/*.desktop

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: yiff.spec,v $
Revision 1.30  2007-02-12 22:09:25  glen
- tabs in preamble

Revision 1.29  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.28  2006/11/07 22:32:43  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.27  2006/07/26 15:02:19  glen
- avoid defining default %attr

Revision 1.26  2006/04/23 17:44:48  qboosh
- updated to 2.14.5, updated config_dir,cpp patches, removed obsolete
  glibc,gcc33,gcc4 patches

Revision 1.25  2005/11/13 16:51:03  darekr
- strict deps

Revision 1.24  2005/05/09 15:57:34  witekfl
- added gcc4.patch
- rel 4

Revision 1.23  2004/12/09 11:49:47  paladine
- rel 3 for fixed desktop file

Revision 1.22  2004/07/04 19:55:58  adamg
- release 2 (fixed desktop, proper group)

Revision 1.21  2004/03/25 13:09:36  andree
- applnkdir -> desktopdir

Revision 1.20  2004/03/05 22:48:36  adamg
- proper group

Revision 1.19  2003/08/02 17:31:06  qboosh
- up to 2.14.2

Revision 1.18  2003/07/27 09:27:03  qboosh
- fixed SONAME passing

Revision 1.17  2003/07/20 21:16:35  qboosh
- up to 2.14.1, updated config_dir,glibc,cpp patches, added gcc33 patch

Revision 1.16  2003/05/26 16:25:54  malekith
- massive attack: adding Source-md5

Revision 1.15  2003/05/25 06:28:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/02/11 10:56:40  qboosh
- updated URL

Revision 1.13  2003/02/02 10:45:41  qboosh
- 2.12.4, updated config_dir patch, added glibc,cpp,nolibz patches
- BR: libstdc++-deve not gcc-c++; removed unneeded BR: alsa-lib-devel
- moved config to /usr, sounds to /usr/share/sounds
- added -fPIC and soname for library

Revision 1.12  2002/08/19 08:23:13  qboosh
- removed %%{_xmandir}/man8 dir from -config, release3

Revision 1.11  2002/08/18 13:44:52  blues
- release 2 - license fix, new doc

Revision 1.10  2002/02/23 05:29:57  kloczek
- adapterized.

Revision 1.9  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:15:46  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/12/24 10:06:51  qboosh
- adapterized, pl translation

Revision 1.6  2001/09/24 13:26:29  ankry
- updated source URL

Revision 1.5  2001/05/03 14:58:53  jajcus
- config dir patch
- cd;make;cd -> make -C
- *.desktop file added
- libY2.so moved to -lib package (as it has no valid SONAME)

Revision 1.4  2001/05/01 18:24:45  jajcus
- totally new spec (Version: 2.12.3) NFY
